## linux-meta-oem-6.14 6.14.0-1008.8

=== debian/changelog ===
linux-meta-oem-6.14 (6.14.0-1008.8) noble; urgency=medium

  * Main version: 6.14.0-1008.8

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 21 Jul 2025 11:51:23 +0800

linux-meta-oem-6.14 (6.14.0-1007.7) noble; urgency=medium

  * Main version: 6.14.0-1007.7

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 30 Jun 2025 13:47:16 +0800

linux-meta-oem-6.14 (6.14.0-1006.6) noble; urgency=medium

  * Main version: 6.14.0-1006.6

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 23 Jun 2025 16:15:23 +0800

linux-meta-oem-6.14 (6.14.0-1005.5) noble; urgency=medium

  * Main version: 6.14.0-1005.5

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 02 Jun 2025 12:37:58 +0800

linux-meta-oem-6.14 (6.14.0-1004.4) noble; urgency=medium

  * Main version: 6.14.0-1004.4

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Wed, 21 May 2025 10:11:59 +0800
