## linux-meta-oem-6.14 6.14.0-1009.9

=== debian/changelog ===
linux-meta-oem-6.14 (6.14.0-1009.9) noble; urgency=medium

  * Main version: 6.14.0-1009.9

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Migrate oem-6.8 to oem-6.14 (LP: #2118880)
    - [Packaging] Migrate oem-24.04a to oem-24.04c

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 28 Jul 2025 13:56:31 +0800
