=== debian/control ===
--- 
+++ 
@@ -5,9 +5,78 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk
 Build-Depends-Arch:
- linux-oem-6.14-headers-6.14.0-1008,
- linux-headers-6.14.0-1008-oem,
+ linux-oem-6.14-headers-6.14.0-1009,
+ linux-headers-6.14.0-1009-oem,
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-meta-oem/+git/noble -b oem-6.14
+
+#
+# Generated using kteam-tools script:
+# generate-transitions --input noble/linux-oem-6.8/linux-meta/debian/control --output noble/linux-oem-6.14/linux-meta/debian/control.d/migrate-oem-24.04a oem-24.04a$ oem-24.04c
+#
+Package: linux-headers-oem-24.04a
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-headers-oem-24.04c
+Description: OEM Linux kernel headers (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-image-oem-24.04a
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-image-oem-24.04c
+Description: OEM Linux kernel image (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-image-uc-oem-24.04a
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-image-uc-oem-24.04c
+Description: OEM Linux kernel image for Ubuntu Core (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-tools-oem-24.04a
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-tools-oem-24.04c
+Description: OEM Linux kernel tools (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-oem-24.04a
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-oem-24.04c
+Description: Complete OEM Linux kernel and headers (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-modules-ipu6-oem-24.04a
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-modules-ipu6-oem-24.04c
+Description: Extra drivers for ipu6 for the oem flavour (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-modules-iwlwifi-oem-24.04a
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-modules-iwlwifi-oem-24.04c
+Description: Extra drivers for iwlwifi for the oem flavour (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-modules-usbio-oem-24.04a
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-modules-usbio-oem-24.04c
+Description: Extra drivers for usbio for the oem flavour (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
 
 Package: linux-headers-oem-6.14
 Architecture: amd64
