## linux-meta-oem-6.14 6.14.0-1012.12

=== debian/changelog ===
linux-meta-oem-6.14 (6.14.0-1012.12) noble; urgency=medium

  * Main version: 6.14.0-1012.12

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants
    - [Packaging] debian/dkms-versions -- resync from main package

  * Migrate oem-6.11 to oem-6.14 (LP: #2122009)
    - [Packaging] Migrate oem-24.04b to oem-24.04c

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Thu, 04 Sep 2025 15:16:41 +0800
