=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk
 Build-Depends-Arch:
- linux-oem-6.14-headers-6.14.0-1011,
- linux-headers-6.14.0-1011-oem,
+ linux-oem-6.14-headers-6.14.0-1012,
+ linux-headers-6.14.0-1012-oem,
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-meta-oem/+git/noble -b oem-6.14
 
 #
@@ -75,6 +75,91 @@
 Multi-Arch: no
 Depends: linux-modules-usbio-oem-24.04c
 Description: Extra drivers for usbio for the oem flavour (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+
+#
+# Generated using kteam-tools script:
+# generate-transitions --input noble/linux-oem-6.11/linux-meta/debian/control --output noble/linux-oem-6.8/linux-meta/debian/control.d/migrate-oem-24.04b oem-24.04b$ oem-24.04c
+#
+Package: linux-headers-oem-24.04b
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-headers-oem-24.04c
+Description: OEM Linux kernel headers (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-image-oem-24.04b
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-image-oem-24.04c
+Description: OEM Linux kernel image (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-image-uc-oem-24.04b
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-image-uc-oem-24.04c
+Description: OEM Linux kernel image for Ubuntu Core (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-tools-oem-24.04b
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-tools-oem-24.04c
+Description: OEM Linux kernel tools (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-oem-24.04b
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-oem-24.04c
+Description: Complete OEM Linux kernel and headers (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-modules-ipu6-oem-24.04b
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-modules-ipu6-oem-24.04c
+Description: Extra drivers for ipu6 for the oem flavour (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-modules-ipu7-oem-24.04b
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-modules-ipu7-oem-24.04c
+Description: Extra drivers for ipu7 for the oem flavour (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-modules-iwlwifi-oem-24.04b
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-modules-iwlwifi-oem-24.04c
+Description: Extra drivers for iwlwifi for the oem flavour (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-modules-usbio-oem-24.04b
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-modules-usbio-oem-24.04c
+Description: Extra drivers for usbio for the oem flavour (transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+Package: linux-modules-vision-oem-24.04b
+Architecture: amd64
+Section: oldlibs
+Multi-Arch: no
+Depends: linux-modules-vision-oem-24.04c
+Description: Extra drivers for vision for the oem flavour (transitional package)
  Transitional package for upgrades. This package can be safely removed.
 
 
@@ -127,6 +212,55 @@
  and headers.
 
 
+Package: linux-headers-oem-24.04
+Architecture: amd64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-oem
+Description: OEM Linux kernel headers
+ This package will always depend on the latest OEM kernel headers
+ available.
+
+Package: linux-image-oem-24.04
+Architecture: amd64
+Section: kernel
+Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:ivsc-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-oem, linux-firmware [amd64], intel-microcode [amd64], amd64-microcode [amd64]
+Recommends: thermald [amd64]
+Description: OEM Linux kernel image
+ This package will always depend on the latest OEM kernel image
+ available.
+
+Package: linux-image-uc-oem-24.04
+Architecture: amd64
+Section: kernel
+Depends: ${misc:Depends}, linux-image-uc-${kernel-abi-version}-oem, linux-firmware, firmware-sof-signed [amd64], wireless-regdb
+Description: OEM Linux kernel image for Ubuntu Core
+ This package will always depend on the latest OEM kernel image
+ available.
+ .
+ This kernel is suitable for staging into a kernel snap, and is not
+ suitable to be used directly on classic systems.
+
+Package: linux-tools-oem-24.04
+Architecture: amd64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-oem
+Description: OEM Linux kernel tools
+ This package will always depend on the latest OEM kernel tools
+ available.
+
+Package: linux-oem-24.04
+Architecture: amd64
+Section: kernel
+Provides:  
+Depends: ${misc:Depends}, linux-image-oem-24.04 (= ${binary:Version}), linux-headers-oem-24.04 (= ${binary:Version})
+Recommends: linux-tools-${kernel-abi-version}-oem
+Description: Complete OEM Linux kernel and headers
+ This package will always depend on the latest complete OEM Linux kernel
+ and headers.
+
+
 Package: linux-headers-oem-24.04c
 Architecture: amd64
 Section: kernel
@@ -188,7 +322,7 @@
  Install extra signed ipu6 modules compatible with the oem flavour.
 
 
-Package: linux-modules-ipu6-oem-24.04c
+Package: linux-modules-ipu6-oem-24.04
 Architecture: amd64
 Section: kernel
 Provides: ${dkms:ipu6-modules}
@@ -199,90 +333,6 @@
  Install extra signed ipu6 modules compatible with the oem flavour.
 
 
-Package: linux-modules-ipu7-oem-6.14
-Architecture: amd64
-Section: kernel
-Provides: ${dkms:ipu7-modules}
-Depends:
- ${misc:Depends},
- linux-modules-ipu7-${kernel-abi-version}-oem,
-Description: Extra drivers for ipu7 for the oem flavour
- Install extra signed ipu7 modules compatible with the oem flavour.
-
-
-Package: linux-modules-ipu7-oem-24.04c
-Architecture: amd64
-Section: kernel
-Provides: ${dkms:ipu7-modules}
-Depends:
- ${misc:Depends},
- linux-modules-ipu7-${kernel-abi-version}-oem,
-Description: Extra drivers for ipu7 for the oem flavour
- Install extra signed ipu7 modules compatible with the oem flavour.
-
-
-Package: linux-modules-iwlwifi-oem-6.14
-Architecture: amd64
-Section: kernel
-Provides: ${dkms:iwlwifi-modules}
-Depends:
- ${misc:Depends},
- linux-modules-iwlwifi-${kernel-abi-version}-oem,
-Description: Extra drivers for iwlwifi for the oem flavour
- Install extra signed iwlwifi modules compatible with the oem flavour.
-
-
-Package: linux-modules-iwlwifi-oem-24.04c
-Architecture: amd64
-Section: kernel
-Provides: ${dkms:iwlwifi-modules}
-Depends:
- ${misc:Depends},
- linux-modules-iwlwifi-${kernel-abi-version}-oem,
-Description: Extra drivers for iwlwifi for the oem flavour
- Install extra signed iwlwifi modules compatible with the oem flavour.
-
-
-Package: linux-modules-usbio-oem-6.14
-Architecture: amd64
-Section: kernel
-Provides: ${dkms:usbio-modules}
-Depends:
- ${misc:Depends},
- linux-modules-usbio-${kernel-abi-version}-oem,
-Description: Extra drivers for usbio for the oem flavour
- Install extra signed usbio modules compatible with the oem flavour.
-
-
-Package: linux-modules-usbio-oem-24.04c
-Architecture: amd64
-Section: kernel
-Provides: ${dkms:usbio-modules}
-Depends:
- ${misc:Depends},
- linux-modules-usbio-${kernel-abi-version}-oem,
-Description: Extra drivers for usbio for the oem flavour
- Install extra signed usbio modules compatible with the oem flavour.
-
-
-Package: linux-modules-vision-oem-6.14
-Architecture: amd64
-Section: kernel
-Provides: ${dkms:vision-modules}
-Depends:
- ${misc:Depends},
- linux-modules-vision-${kernel-abi-version}-oem,
-Description: Extra drivers for vision for the oem flavour
- Install extra signed vision modules compatible with the oem flavour.
-
-
-Package: linux-modules-vision-oem-24.04c
-Architecture: amd64
-Section: kernel
-Provides: ${dkms:vision-modules}
-Depends:
- ${misc:Depends},
- linux-modules-vision-${kernel-abi-version}-oem,
-Description: Extra drivers for vision for the oem flavour
- Install extra signed vision modules compatible with the oem flavour.
-
+Package: linux-modules-ipu6-oem-24.04c
+Architecture: amd64
+Section: kernel
