## linux-meta-oem-6.14 6.14.0-1016.16

=== debian/changelog ===
linux-meta-oem-6.14 (6.14.0-1016.16) noble; urgency=medium

  * Main version: 6.14.0-1016.16

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Tue, 21 Oct 2025 15:56:49 +0800
