## linux-meta-oem-6.14 6.14.0-1017.17

=== debian/changelog ===
linux-meta-oem-6.14 (6.14.0-1017.17) noble; urgency=medium

  * Main version: 6.14.0-1017.17

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 24 Nov 2025 14:13:25 +0800
