## linux-meta-oem-6.14 6.14.0-1018.18

=== debian/changelog ===
linux-meta-oem-6.14 (6.14.0-1018.18) noble; urgency=medium

  * Main version: 6.14.0-1018.18

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Wed, 10 Dec 2025 14:49:55 +0800
