=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk
 Build-Depends-Arch:
- linux-oem-6.14-headers-6.14.0-1017,
- linux-headers-6.14.0-1017-oem,
+ linux-oem-6.14-headers-6.14.0-1018,
+ linux-headers-6.14.0-1018-oem,
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-meta-oem/+git/noble -b oem-6.14
 
 #
