## linux-meta-oem-6.14 6.14.0-1019.19

=== debian/changelog ===
linux-meta-oem-6.14 (6.14.0-1019.19) noble; urgency=medium

  * Main version: 6.14.0-1019.19

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Thu, 18 Dec 2025 11:53:48 +0800
