## linux-meta-oem-6.14 6.14.0-1020.20

=== debian/changelog ===
linux-meta-oem-6.14 (6.14.0-1020.20) noble; urgency=medium

  * Main version: 6.14.0-1020.20

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 19 Jan 2026 14:32:17 +0800
